<?php
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$tamanioPag = 20;
if(!isset($page)) $page = 1;
//echo $tamanioPag;
$a_estados[] = "P";
$a_estados[] = "C";
//echo $idcliente;
$o_CrBusquedaFN = new CrBusquedaFN();
$o_CrBusquedaFN->setTipobusqueda("RENIEC");
$o_CrBusquedaFN->setDocumento($idcliente);
$o_CrBusquedaFN->setEstados($a_estados);
$o_CrBusquedaFN->sortCampos = "Idbusqueda";
$o_CrBusquedaFN->sortType   = "2";
if($nombrecompleto) $o_CrBusquedaFN->setNombrecompletolike($nombrecompleto);

if(!isset($page)) $page = 1;
$o_CrBusquedaFN->page = $page;
$o_CrBusquedaFN->tamPag = $tamanioPag;

$a_o_CrBusquedaBN = $o_CrBusquedaFN->select();

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_CrBusquedaFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

?>
	    
	    <table  border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
	          <td height="17" align="right" class="pager">
	            <div id="contenedor">
	              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
	            </div>
	          </td>
	        </tr>
			  <tr>
			    <td>
			      <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
			        <tr height="">
			          <th width="1%" align="center">No.</th>
			          <th width="5%" align="center">Documento</th>
			          <th width="25%" align="left">Nombre completo</th>
			          <th width="3%" align="left">Cod.Cli.</th>
			         
			         
			          
			          
			          
			           <th width="3%" align="center">Actualizado</th>
			           <th width="10%" align="center">Consultado</th>
			          <!--<th width="5%" id="col01" onMouseOver="sort_col(this);" ></th>-->
			        </tr>
			  <?php
			  	if(is_array($a_o_CrBusquedaBN)){
			  		$i = 1;
	    			foreach($a_o_CrBusquedaBN as $key2 => $o_CrBusquedaBN) {
	    				$json = $o_CrBusquedaBN->getTramaresultado();
	    				$obj = json_decode($json);
						if(is_object($obj)){
							$success = $obj->{'success'};
							$message = $obj->{'message'};
							if(!$message){
								if($success === true){
									
									// Rescatar los valores para que se pueda asignar al formulario
									$obj_person = $obj->{'person'};
										$obj_general = $obj_person->{'general'};
											$actual 		= $obj_general->{'sem_actual'};
											$sem_historico 	= $obj_general->{'sem_historico'};
									$obj_images = $obj->{'images'};
										$foto = $obj_img->{'foto'};
										$firma = $obj_img->{'firma'};
								}
							}
						}
		    		?>
		    			<tr style="background:<?php echo ($i%2==0)?"#ECECEC":"#ffffff";?>">
					        <td align="center"><?echo (($page-1)*$tamanioPag)+$i;?></td>
					        <td align="left"><?=$o_CrBusquedaBN->getDocumento();?></td>
					        <td align="left"><?=$o_CrBusquedaBN->getNombrecompleto()?></td>
					        
					        <td align="left"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_CrBusquedaBN->getIdcliente().'&s_tipo=' )?>',{width:950,height:400,nameOtherWindow:'ov1'})"><?=$o_CrBusquedaBN->getIdcliente()?></a></td>
					        					        
					       
					        					        					        
					        
					        <td align="center"><?=$o_CrBusquedaBN->getUsuariocreacion()?></td>
					        <td align="center"><?=$o_CrBusquedaBN->getFechacreacion()?></td>
					        <!--<td align="center" >
					        <a href="#" onclick="objMainTab.modalDialog('<?=buildUrlComplet('rep.php/csentinel/updateSentinel/Idbusqueda/'.$o_CrBusquedaBN->getIdbusqueda());?>',{title:'Actualizar Sentinel',width:550,height:200,nameOtherWindow:'ov'})"><img src="/images/common/iconos/arrow_refresh.png"  title="Riesgo"></a>
					        <a href="#" onclick="objMainTab.modalDialog('<?=buildUrlComplet('rep.php/csentinel/showSentinel/viewhistorico/1/documento/'.$o_CrBusquedaBN->getDocumento().'/Idbusqueda/'.$o_CrBusquedaBN->getIdbusqueda());?>',{title:'Detalle Sentinel',width:950,height:420,nameOtherWindow:'ov'})"><img src="/images/common/iconos/eye.png"  title="Riesgo"></a>
					        <a href="#" onclick="objMainTab.modalDialog('<?=buildUrlComplet('rep.php/csentinel/showHistorico/documento/'.$o_CrBusquedaBN->getDocumento());?>',{title:'Historico de consultas',width:1000,height:420,nameOtherWindow:'ov'})"><img src="/images/common/iconos/application_cascade.png"  title="Consulta historico"></a></td>-->
					      </tr>	
					  <?php
					  $i++;
	    			}
			  	}else{
				   	echo "No hay resultados";
				 }
				?>
		      </table>
		    </td>
		  </tr>
		</table>
	<?php
	
   
